Foreman - Bug #31241

DatePicker doesn't show preselected value
11/03/2020 12:39 PM - Ondfej Ezr

Status: Closed
Priority: Normal
Assignee: Ondfrej Ezr
Category: JavaScript stack
Target version: 2.3.0
Difficulty: Fixed in Releases: 2.3.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/g122
Description

DateSelect doesn't show value by default to hide it's internal Date() default.
But if there is preselected value by value="date" prop it should be shown to the user.

Associated revisions

Revision 666d2412 - 11/19/2020 12:00 PM - Ondfej Ezr

Fixes #31241 - show dateTimePicker default value

By default we hid the default value from user to prevent showing the default date.
But if prop value is passed, we need to show that value.

History

#1 - 11/03/2020 12:50 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8122 added

#2 - 11/19/2020 12:00 PM - The Foreman Bot
- Fixed in Releases 2.4.0 added

#3 - 11/19/2020 12:01 PM - Ondfej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|666d2412e5ad19198e06996cdd6428be1e487261.

#4 - 11/23/2020 11:22 AM - Tomer Brisker

- Target version changed from 2.3.1 to 2.3.0
- Fixed in Releases 2.3.0 added
- Fixed in Releases deleted (2.4.0)

05/20/2024

1/1



https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/666d2412e5ad19198e06996cdd6428be1e487261
http://www.tcpdf.org

